#
# spec file for package libt3highlight
#
# Copyright (c) 2019 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libt3highlight
%define lname	libt3highlight2
Version:        0.5.0
Release:        1.19
Summary:        The Tilde Toolkit's syntax highlighting library
License:        GPL-3.0-only
Group:          Development/Libraries/C and C++
URL:            https://os.ghalkes.nl/t3/libt3highlight.html

#Git-Clone:	https://github.com/gphalkes/t3highlight
Source:         https://os.ghalkes.nl/dist/%name-%version.tar.bz2
Source2:        https://os.ghalkes.nl/dist/%name-%version.tar.bz2.sig
Source3:        %name.keyring
BuildRequires:  fdupes
BuildRequires:  gettext-tools
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libpcre2-8)
BuildRequires:  pkgconfig(libt3config) >= 0.2.5

%description
libt3highlight is a library that provides functions for syntax
highlighting different types of text files.

%package -n %lname
Summary:        The Tilde Toolkit's syntax highlighting library
Group:          System/Libraries

%description -n %lname
libt3highlight is a library that provides functions for syntax
highlighting different types of text files.

%package devel
Summary:        Development files for libt3highlight, a syntax highlighting library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libt3highlight is a library that provides functions for syntax
highlighting different types of text files.

This subpackage contains libraries and header files for developing
applications that want to make use of libt3highlight.

%package utils
Summary:        Utilities for working with libt3highlight
Group:          Productivity/Other

%description utils
libt3highlight is a library that provides functions for syntax
highlighting different types of text files.

This subpackage contains the T3 highlighting utility.

%prep
%autosetup -p1

%build
export CC=gcc
%configure --docdir="%_docdir/%name"
make %{?_smp_mflags}

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la
%fdupes %buildroot/%_prefix

%post   -p /sbin/ldconfig -n %lname
%postun -p /sbin/ldconfig -n %lname

%files -n %lname
%_libdir/libt3highlight.so.2*
%_datadir/%lname/
%license COPYING

%files devel
%_includedir/t3/
%_libdir/libt3highlight.so
%_libdir/pkgconfig/libt3highlight.pc
%_docdir/%name/
%exclude %_docdir/%name/COPYING

%files utils
%_bindir/t3*
%_mandir/man1/t3*.1*

%changelog
* Thu Dec 19 2019 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.5.0
  * This release adds highlighting scopes, which provides the
    ability to use different rendering for included languages.
    For example, it allows using different rendering for keywords
    in CSS than for keywords in the HTML it is embedded in.
* Thu Aug 22 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 0.4.8
  * These releases fixes incorrect calls to free when validation of
    highlight data failed.
* Mon Jan  7 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 0.4.6
  * Support for highlighting C++11 raw string literals.
  * Support for Ruby highlighting.
* Mon Aug  7 2017 jengelh@inai.de
- Update to new upstream release 0.4.2
  * This release contains several changes to the interface for
    detecting languages, which make it possible to retrieve more
    information about the detected language. Basic highlighting for
    PHP was added, and the HTML highlighting had several small
    fixes.
* Thu Feb 19 2015 p.drouand@gmail.com
- Update to version 0.3.5
  * Added omitted 'do' keyword for C++.
  * Fix reads and writes of unallocated memory in analyzing patterns.
* Mon Jul 21 2014 jengelh@inai.de
- Update to new upstream release 0.3.4
  * This release adds the override keyword for C++, updates the diff
  language specification to be more permissive and corrects the
  color for deletions in t3highlight when outputing to terminal.
* Fri Feb  7 2014 dimstar@opensuse.org
- Declare CC=gcc to ensure we build with gcc; seems make falls back
  to 'c99' otherwise (instead of requiring posix_cc).
* Mon Feb  3 2014 jengelh@inai.de
- Update to new upstream release 0.3.3
  * This release fixes a bug in the loop detection for
  non-progressing patterns, and highlights java string constants
  (they were already detected, just not highlighted).
* Mon Jun 10 2013 jengelh@inai.de
- Initial package (version 0.3.2) for build.opensuse.org
